Procedure Composite Process Instance
Get a list of ProcedureComputation objects. ProcedureComputations have a 1:1 mapping with Observations where used.
These may have a number of 2 or more components made up of combinations of Computation and Acquisition records.
The details of the underlying records have been serialised.
### Available end points:
- `/ProcedureComputations/` - Will list all ProcedureComputations in the database
- `/ProcedureComputations.json` - Will return all ProcedureComputations in json format
- `/ProcedureComputations/<object_id>/` - Returns ProcedureComputations object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
None
### How to use filters:
None
GET /api/v2/composites/44816/?format=api
{ "ob_id": 44816, "computationComponent": [ { "ob_id": 44815, "uuid": "734f0774e7d9409789fb749c94ceb5d7", "title": "Optimal Retrieval of Aerosol and Cloud (ORAC)", "abstract": "Optimal Retrieval of Aerosol and Cloud (ORAC) - more details on request", "keywords": "", "inputDescription": null, "outputDescription": null, "softwareReference": null, "identifier_set": [] } ], "acquisitionComponent": [ { "ob_id": 44813, "independentInstrument": [], "instrumentplatformpair_set": [ { "ob_id": 14365, "platform": "https://api.catalogue.ceda.ac.uk/api/v2/platforms/846/?format=api", "instrument": "https://api.catalogue.ceda.ac.uk/api/v2/instruments/847/?format=api", "relatedTo": { "ob_id": 44813, "uuid": "be157d60b4ec40fabf0833bca73362b2", "short_code": "acq" } }, { "ob_id": 14366, "platform": "https://api.catalogue.ceda.ac.uk/api/v2/platforms/7813/?format=api", "instrument": "https://api.catalogue.ceda.ac.uk/api/v2/instruments/5566/?format=api", "relatedTo": { "ob_id": 44813, "uuid": "be157d60b4ec40fabf0833bca73362b2", "short_code": "acq" } } ] } ], "identifier_set": [], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/214609/?format=api" ] }